local M = {}

-- called when the module is loaded. Note: not all system may be up and running at this point
local function onInit()
  log('I', "torsion_steamNameChanger", "initialized")
  --registerCoreModule("torsion_steamNameChanger")
  --moved core module registration to the mod script 7-17-2018
end

local function changePlayerName() 
	local defaultVehicle = readJsonFile('settings/default.pc')

	if defaultVehicle ~= nil then 
		Steam.playerName = defaultVehicle.licenseName
	else
		Steam.playerName = "SET ME"
	end

	log('I', 'torsion_steamNameChanger', 'Steam.playerName changed to "' .. Steam.playerName .. '"')
end

local function onExtensionLoaded()
	log('D', 'nodeStream.onExtensionLoaded', "mods/Torsion's Steam Name Changer loaded")

	local defaultVehicle = readJsonFile('settings/default.pc')
	
	if defaultVehicle ~= nil then 
		if defaultVehicle.licenseName == Steam.playerName then
			defaultVehicle.licenseName = "CHNG ME"
			writeJsonFile('settings/default.pc', defaultVehicle, true)
		end
	end

	changePlayerName()
end

--M.onInit = onInit
M.onExtensionLoaded = onExtensionLoaded
M.onClientEndMission = changePlayerName

return M